The build process fails

The build has failed with the following error messages listed below. Could you provide any advices.
Here is the link: Netlify App

4:35:29 PM: Failed during stage “Install dependencies”: dependency_installation script returned non-zero exit code: 1

4:35:29 PM: npm ERR! code ERESOLVE

4:35:29 PM: npm ERR! ERESOLVE could not resolve

4:35:29 PM: npm ERR!

4:35:29 PM: npm ERR! While resolving: @ng-bootstrap/ng-bootstrap@12.1.2

4:35:29 PM: npm ERR! Found: @angular/common@15.2.10

4:35:29 PM: npm ERR! node_modules/@angular/common

4:35:29 PM: npm ERR! @angular/common@“~15.2.9” from the root project

4:35:29 PM: npm ERR! peer @angular/common@“^12.0.0 || ^13.0.0 || ^14.0.0 || ^15.0.0 || ^16.0.0” from @angular/fire@7.6.1

4:35:29 PM: npm ERR! node_modules/@angular/fire

4:35:29 PM: npm ERR! @angular/fire@“^7.6.1” from the root project

4:35:29 PM: npm ERR! 8 more (@angular/forms, @angular/platform-browser, …)

4:35:29 PM: npm ERR!

4:35:29 PM: npm ERR! Could not resolve dependency:

4:35:29 PM: npm ERR! peer @angular/common@“^13.0.0” from @ng-bootstrap/ng-bootstrap@12.1.2

4:35:29 PM: npm ERR! node_modules/@ng-bootstrap/ng-bootstrap

4:35:29 PM: npm ERR! @ng-bootstrap/ng-bootstrap@“^12.1.2” from the root project

4:35:29 PM: npm ERR!

4:35:29 PM: npm ERR! Conflicting peer dependency: @angular/common@13.4.0

4:35:29 PM: npm ERR! node_modules/@angular/common

4:35:29 PM: npm ERR! peer @angular/common@“^13.0.0” from @ng-bootstrap/ng-bootstrap@12.1.2

4:35:29 PM: npm ERR! node_modules/@ng-bootstrap/ng-bootstrap

4:35:29 PM: npm ERR! @ng-bootstrap/ng-bootstrap@“^12.1.2” from the root project

4:35:29 PM: npm ERR!

4:35:29 PM: npm ERR! Fix the upstream dependency conflict, or retry

4:35:29 PM: npm ERR! this command with --force or --legacy-peer-deps

4:35:29 PM: npm ERR! to accept an incorrect (and potentially broken) dependency resolution.

4:35:29 PM: npm ERR!

4:35:29 PM: npm ERR!

4:35:29 PM: npm ERR! For a full report see:

4:35:29 PM: npm ERR! /opt/buildhome/.npm/_logs/2023-12-26T22_35_27_452Z-eresolve-report.txt

The solution is there in the logs.

Blockquote
% npm ERR! --legacy-peer-deps
Unknown command: “ERR!”

To see a list of supported npm commands, run:
npm help

Blockquote

Sorry, what? Please include some description in your message.

**I was advised to run a specific command, “npm ERR! --legacy-peer-deps”

but npm doesn’t recognize it. I’m unsure how to troubleshoot this issue.**

The post I linked included specific instructions. I have nothing more to add to that.